/*@lineinfo:filename=ProductDetailIteratorClass*//*@lineinfo:1^1*/

//  ************************************************************
//  SQLJ iterator declaration:
//  ************************************************************

public class ProductDetailIteratorClass 
extends sqlj.runtime.ref.ResultSetIterImpl
implements sqlj.runtime.NamedIterator
{
  public ProductDetailIteratorClass(sqlj.runtime.profile.RTResultSet resultSet) 
    throws java.sql.SQLException 
  {
    super(resultSet);
    nameNdx = findColumn("name");
    priceNdx = findColumn("price");
  }
  public String name() 
    throws java.sql.SQLException 
  {
    return resultSet.getString(nameNdx);
  }
  private int nameNdx;
  public float price() 
    throws java.sql.SQLException 
  {
    return resultSet.getFloatNoNull(priceNdx);
  }
  private int priceNdx;
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:1^74*//*@lineinfo:generated-code*/