/*@lineinfo:filename=ServerExample2*//*@lineinfo:user-code*//*@lineinfo:1^1*//*
   The program ServerExample2.sqlj is designed to run in
   the Oracle JServer Java Virtual Machine.
   The program rewrites the body of the trigger
   product_price_update_trigger using SQLJ.
*/

import java.sql.*;

public class ServerExample2 {

  public static void productPriceUpdate (

    int    product_id,
    double old_price,
    double new_price

  ) {

    try {

      /*@lineinfo:generated-code*//*@lineinfo:22^7*/

//  ************************************************************
//  #sql { CALL dbms_java.set_output(1000)
//         };
//  ************************************************************

{
  sqlj.runtime.ConnectionContext __sJT_connCtx = sqlj.runtime.ref.DefaultContext.getDefaultContext();
  if (__sJT_connCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext __sJT_execCtx = __sJT_connCtx.getExecutionContext();
  if (__sJT_execCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_EXEC_CTX();
  synchronized (__sJT_execCtx) {
    sqlj.runtime.profile.RTStatement __sJT_stmt = __sJT_execCtx.registerStatement(__sJT_connCtx, ServerExample2_SJProfileKeys.getKey(0), 0);
    try 
    {
      __sJT_execCtx.execute();
    }
    finally 
    {
      __sJT_execCtx.releaseStatement();
    }
  }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:24^7*/

      System.out.println("For product id " + product_id);
      System.out.println("Old price = " + old_price);
      System.out.println("New price = " + new_price);
      System.out.println("The new price is 10% greater than the " +
        "old price - auditing change");

      // insert row into the price_audit table
      /*@lineinfo:generated-code*//*@lineinfo:33^7*/

//  ************************************************************
//  #sql { INSERT INTO
//            price_audit
//          VALUES (
//            :product_id, :old_price, :new_price
//          )
//         };
//  ************************************************************

{
  sqlj.runtime.ConnectionContext __sJT_connCtx = sqlj.runtime.ref.DefaultContext.getDefaultContext();
  if (__sJT_connCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext __sJT_execCtx = __sJT_connCtx.getExecutionContext();
  if (__sJT_execCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_EXEC_CTX();
  int __sJT_1 = product_id;
  double __sJT_2 = old_price;
  double __sJT_3 = new_price;
  synchronized (__sJT_execCtx) {
    sqlj.runtime.profile.RTStatement __sJT_stmt = __sJT_execCtx.registerStatement(__sJT_connCtx, ServerExample2_SJProfileKeys.getKey(0), 1);
    try 
    {
      __sJT_stmt.setInt(1, __sJT_1);
      __sJT_stmt.setDouble(2, __sJT_2);
      __sJT_stmt.setDouble(3, __sJT_3);
      __sJT_execCtx.executeUpdate();
    }
    finally 
    {
      __sJT_execCtx.releaseStatement();
    }
  }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:39^7*/

    } catch (SQLException e) {

       System.err.println("SQLException " + e);
       System.exit(1);
    }

  } // end of productPriceUpdate()

}/*@lineinfo:generated-code*/class ServerExample2_SJProfileKeys 
{
  private static ServerExample2_SJProfileKeys inst = null;
  public static java.lang.Object getKey(int keyNum) 
    throws java.sql.SQLException 
  {
    if (inst == null)
    {
      inst = new ServerExample2_SJProfileKeys();
    }
    return inst.keys[keyNum];
  }
  private final sqlj.runtime.profile.Loader loader = sqlj.runtime.RuntimeContext.getRuntime().getLoaderForClass(getClass());
  private java.lang.Object[] keys;
  private ServerExample2_SJProfileKeys() 
    throws java.sql.SQLException 
  {
    keys = new java.lang.Object[1];
    keys[0] = sqlj.runtime.ref.DefaultContext.getProfileKey(loader, "ServerExample2_SJProfile0");
  }
}
