import java.sql.SQLException;
import oracle.jdbc.driver.OracleConnection;
import oracle.jdbc.driver.OracleTypes;
import oracle.sql.CustomDatum;
import oracle.sql.CustomDatumFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class TProductRef implements CustomDatum, CustomDatumFactory
{
  public static final String _SQL_BASETYPE = "OBJECT_USER.T_PRODUCT";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

  static final TProductRef _TProductRefFactory = new TProductRef();
  public static CustomDatumFactory getFactory()
  {
    return _TProductRefFactory;
  }

  /* constructor */
  public TProductRef()
  {
  }

  /* CustomDatum interface */
  public Datum toDatum(OracleConnection c) throws SQLException
  {
    return _ref;
  }

  /* CustomDatumFactory interface */
  public CustomDatum create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null;
    TProductRef r = new TProductRef();
    r._ref = (REF) d;
    return r;
  }
  public TProduct getValue() throws SQLException
  {
     return (TProduct) TProduct.getFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(TProduct c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getConnection()));
  }
}
